Name:           freedink
Version:        108.4
Release:        %mkrel 2
Summary:        Humorous top-down adventure and role-playing game
Group:          Games/Adventure
License:        GPLv3+
URL:            http://www.gnu.org/software/freedink/
Source0:        http://ftp.gnu.org/gnu/freedink/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)

Requires:       %{name}-data
Requires:       font(liberationsans)
Requires:       TiMidity++
Recommends:     %{name}-dfarc

%description
Dink Smallwood is an adventure/role-playing game, similar to Zelda,
made by RTsoft. Besides twisted humour, it includes the actual game
editor, allowing players to create hundreds of new adventures called
Dink Modules or D-Mods for short.

GNU FreeDink is a new and portable version of the game engine, which
runs the original game as well as its D-Mods, with close
compatibility, under multiple platforms.

%prep
%setup -q

%build
%configure2_5x --bindir=%{_gamesbindir} \
               --datadir=%{_gamesdatadir} \
               --disable-embedded-resources
%make

%install
%makeinstall_std

# Remove bundled font
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/LiberationSans-Regular.ttf

%find_lang %{name}
%find_lang %{name}-gnulib
# %%files only support one '-f' argument (see below)
cat %{name}-gnulib.lang >> %{name}.lang

%files -f %{name}.lang
%doc AUTHORS NEWS README THANKS TROUBLESHOOTING ChangeLog
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/*dink*
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/*dink*.6*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 108.4-2.mga6
+ Revision: 950216
- Mageia 6 Mass Rebuild

* Sat Oct 25 2014 akien <akien> 108.4-1.mga5
+ Revision: 793126
- Version 108.4

* Wed Oct 15 2014 umeabot <umeabot> 108.2-3.mga5
+ Revision: 740860
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 108.2-2.mga5
+ Revision: 679329
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Aug 16 2014 akien <akien> 108.2-1.mga5
+ Revision: 663860
- Version 108.2
- Add appdata file

* Fri Mar 14 2014 akien <akien> 1.08.20121209-1.mga5
+ Revision: 603867
- imported package freedink

